# Raw Data

{% hint style="info" %}
This Raw Data documentation is technical documentation intended to help those doing data integrations via google APIs or similar.  For example, it provides useful knowledge if you are doing the mapping of a new Financial Model into Ecosuite.
{% endhint %}

#### **Payment Types and Their Properties** <a href="#pi63oi47xjx9" id="pi63oi47xjx9"></a>

**Cash Flow Level Properties (Common Across All Payment Types)**

| **Property**                | **Description**                                         |
| --------------------------- | ------------------------------------------------------- |
| cashFlows\[n].id            | A unique identifier for the cash flow                   |
| cashFlows\[n].name          | The name of the cash flow                               |
| cashFlows\[n].category      | The category of the cash flow                           |
| cashFlows\[n].account       | The account associated with the cash flow               |
| cashFlows\[n].flags.backend | Indicates if the cash flow is a backend cash flow       |
| cashFlows\[n].flags.debt    | Indicates if the cash flow is forecasted permanent debt |

**Scheduled Payments**

| **Property**                                        | **Description**                             |
| --------------------------------------------------- | ------------------------------------------- |
| cashFlows\[n].payments\[0].paymentType              | The type of payment (always "scheduled")    |
| cashFlows\[n].payments\[0].subAccount               | The sub-account associated with the payment |
| cashFlows\[n].payments\[0].payments\[m].amountDue   | The amount due for the payment              |
| cashFlows\[n].payments\[0].payments\[m].dueDate     | The due date for the payment                |
| cashFlows\[n].payments\[0].payments\[m].description | The description of the payment              |

**Recurring Payments**

| **Property**                                      | **Description**                                           |
| ------------------------------------------------- | --------------------------------------------------------- |
| cashFlows\[n].payments\[0].paymentType            | The type of payment (always "recurring")                  |
| cashFlows\[n].payments\[0].subAccount             | The sub-account associated with the payment if applicable |
| cashFlows\[n].payments\[0].recurrence.rateType    | Fixed or variable                                         |
| cashFlows\[n].payments\[0].recurrence.escalator   |                                                           |
| cashFlows\[n].payments\[0].recurrence.multiplier  |                                                           |
| cashFlows\[n].payments\[0].payments\[m].startDate | The start date for the payment                            |
| cashFlows\[n].payments\[0].frequency              | The frequency of the recurring payment (e.g., monthly)    |

**Generation Payments**

Recurring payment types with a generation qualifier

| **Property**                           | **Description**                                          |
| -------------------------------------- | -------------------------------------------------------- |
| cashFlows\[n].payments\[0].paymentType | The type of payment (always "generation")                |
| cashFlows\[n].payments\[0].subAccount  | The sub-account associated with the payment              |
| cashFlows\[n].payments\[0].pathId      | The path ID to apply the tariff to a project/site/system |

**Amortization Payments**

| **Property**                            | **Description**                             |
| --------------------------------------- | ------------------------------------------- |
| cashFlows\[n].payments\[0].paymentType  | The type of payment (always "amortization") |
| cashFlows\[n].payments\[0].subAccount   | The sub-account associated with the payment |
| cashFlows\[n].payments\[0].amount       |                                             |
| cashFlows\[n].payments\[0].rate         | Interest rate                               |
| cashFlows\[n].payments\[0].amortization | Years of amortization                       |
| cashFlows\[n].payments\[0].term         |                                             |
|                                         |                                             |
| cashFlows\[n].payments\[0].frequency    |                                             |

**Size Payments**

Recurring payment types with a size qualifier

| cashFlows\[n].payments\[0].paymentType | The type of payment (always "size")         |
| -------------------------------------- | ------------------------------------------- |
| cashFlows\[n].payments\[0].subAccount  | The sub-account associated with the payment |
| cashFlows\[n].payments\[0].pathId      | The path ID to project/site/system          |
| cashFlows\[n].payments\[0].size        | (e.g., $/kW/mo, $/W/year)                   |

**Tariff Payments**

| cashFlows\[n].payments\[0].paymentType | The type of payment (always "tariff") |
| -------------------------------------- | ------------------------------------- |

| cashFlows\[n].payments\[0].subAccount | The sub-account associated with the payment |
| ------------------------------------- | ------------------------------------------- |

| cashFlows\[n].payments\[0].tariff | A unique tariff ID |
| --------------------------------- | ------------------ |

| cashFlows\[n].payments\[0].pathId | The path ID to apply the tariff to a project/site/system |
| --------------------------------- | -------------------------------------------------------- |

| cashFlows\[n].payments\[0].startDate | Date tariff is applicable |
| ------------------------------------ | ------------------------- |

| cashFlows\[n].payments\[0].endDate | Date tariff is no longer applicable |
| ---------------------------------- | ----------------------------------- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecosuite.io/user-guide/modules/data/raw-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
